#
# spec file for package libcdaudio (Version 0.99.12)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libcdaudio
License:        GPL v2 or later
Group:          Productivity/Multimedia/CD/Grabbers
Summary:        Functions to Control Operation of a CD-ROM When Playing Audio CDs
Version:        0.99.12
Release:        141.15
Source:         libcdaudio-0.99.12.tar.bz2
Patch:          libcdaudio-max_matches.diff
Patch1:         libcdaudio-libdir.diff
Patch2:         libcdaudio-buffer-overflow.diff
Patch3:         libcdaudio-double_free.diff
Patch4:         libcdaudio-closedir.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs.  It also contains
functions for CDDB and CD index lookup.



%package devel
License:        GPL v2 or later
Group:          Productivity/Multimedia/CD/Grabbers
Requires:       %{name} = %{version}
Summary:        provide functions to control operation of a CD-ROM when playing audio CDs

%description devel
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs.  It also contains
functions for CDDB and CD Index lookup.



%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4

%build
CFLAGS="$RPM_OPT_FLAGS"
%configure --disable-static --with-pic
%{__make} -k

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README
%_libdir/libcdaudio*so.*

%files devel
%defattr(-, root, root)
/usr/bin/libcdaudio-config
/usr/include/cdaudio.h
%_libdir/pkgconfig/libcdaudio.pc
/usr/share/aclocal/libcdaudio.m4
%{_libdir}/libcdaudio*.so
%exclude %{_libdir}/*.la

%changelog
* Tue Aug  4 2009 ro@suse.de
- added closedir to prevent dirp leakage (bnc#527425)
* Fri Jul 17 2009 ro@suse.de
- fix potential double-free (bnc#515027)
* Tue Oct  7 2008 dmueller@suse.de
- safer reading of local cddb cache (bnc#432933)
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-postun
- remove useless libtool archive and static libraries
* Mon Nov 27 2006 ro@suse.de
- make devel package require main package (#223370)
* Tue Oct 31 2006 meissner@suse.de
- Use RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 26 2005 ro@suse.de
- split package from mythplugins
